Batch Transfer
Execute Batch Transfer V3
Execute multiple transfer payouts in a single batch operation.
POST
This endpoint can only be used with beneficiaries created with
auto_settlement set to false.- Each transaction must include exactly one of
source_amountordestination_amount(not both) source_amount: Minimum 500 cents (e.g. 500 = $5.00)- Only
PREFUNDED_BALANCEtransactions are eligible for refunds if they fail
What changed from V1
Send a unique
X-Idempotency-Key (up to 255 characters) with every new request. A UUID works well:
POST /v1/batch/transactions/commit.Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Headers
Unique key that identifies this request. Use a new key for each new request. Maximum 255 characters.
Maximum string length:
255Body
application/json
Example:
"d6ae4ea6-0482-47ab-a895-02e50ea6358b"
Example:
"USD"
Available options:
PREFUNDED_BALANCE, LIQUIDATION_ADDRESS Amount in cents (e.g. 530 = $5.30). Minimum 500 cents.
Required range:
x >= 500Example:
530
Example:
62000
Example:
"Monthly salary payment"
Response
Batch created successfully
